Bug 1248039 - Unable to Importing into a new Automate Domain if a custom domain exist
Unable to Importing into a new Automate Domain if a custom domain exist
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.4.0
All Unspecified
low Severity low
: GA
: 5.5.0
Assigned To: eclarizi
Milan Falešník
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-29 09:30 EDT by Josh Carter
Modified: 2015-12-08 08:24 EST (History)
8 users (show)

See Also:
Fixed In Version: 5.5.0.1
Doc Type: Bug Fix
Doc Text:
Previously, when using the Automate Import / Export, if there was another domain available, user was unable to import into a new empty domain. This was because there was no option to import into the same name domain. This patch allows importing into a new domain with the same name as importing from which fixes the issue.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:24:27 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dajohnso: automate_bug?


Attachments (Terms of Use)

  None (edit)
Description Josh Carter 2015-07-29 09:30:45 EDT
Description of problem:

Using the Automate Import / Export if there is another domain available we're unable to import into a new empty domain. See attached screenshots, we would like to be able to import as an identically named domain (like what happens if no domains are available).

Version-Release number of selected component (if applicable): 5.4.0


How reproducible:


Steps to Reproduce:
1. import a new automate model with the ui and a custom domain is created based on the models name
2. if a second model is imported you have to select a domain then ui will not create another domain based on that models name.
3.

Actual results:


Expected results:


Additional info:
Comment 4 Greg McCullough 2015-07-29 10:09:17 EDT
Erik -
Comment 5 Greg McCullough 2015-07-29 10:24:50 EDT
Let's try that again.

Erik - For command line importing if you only specify the "domain you wish to import from" it will import into that same domain.  Optionally, you can specify the IMPORT_AS to import into a different domain.  See https://access.redhat.com/solutions/1225383

DOMAIN = Name of the exported domain (name of domain created will be the same). Specify "*" to import all exported domains.

IMPORT_AS = (Optional) Name of the domain to create in the Automate database, the domain name can only be set when importing a single domain.


The enhancement here would be to add (and I think default to) a new drop-down item like "<Same as import from>" for the "Select existing domain to import into:" field.
Comment 7 CFME Bot 2015-08-11 19:06:29 EDT
New commit detected on manageiq/master:
https://github.com/ManageIQ/manageiq/commit/c0f3abcc8a07365913377cb8fe067a1889ba7137

commit c0f3abcc8a07365913377cb8fe067a1889ba7137
Author:     Erik Clarizio <eclarizi@redhat.com>
AuthorDate: Tue Aug 11 12:26:43 2015 -0700
Commit:     Erik Clarizio <eclarizi@redhat.com>
CommitDate: Tue Aug 11 13:22:59 2015 -0700

    Allow importing into a new domain with the same name as import from
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1248039

 app/controllers/miq_ae_tools_controller.rb       |  5 ++++-
 app/services/automate_import_service.rb          |  2 +-
 spec/controllers/miq_ae_tools_controller_spec.rb | 20 ++++++++++++++++++++
 spec/services/automate_import_service_spec.rb    | 12 ++++++++++++
 4 files changed, 37 insertions(+), 2 deletions(-)
Comment 10 Milan Falešník 2015-09-15 11:15:40 EDT
Good, verified in 0911 upstream build then.
Comment 11 Milan Falešník 2015-09-30 09:27:34 EDT
Checked in 5.5.0.2-alpha1.1
Comment 13 errata-xmlrpc 2015-12-08 08:24:27 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.